li {
    list-style: none;
}

/* 网格容器 */
.grid {
    display: grid;
    gap: 16px;
    /* 格子之间的间距 */
    padding: 20px;
}

/* 默认：大屏幕 → 一行 4 列 */
@media (min-width: 1280px) {
    .grid {
        grid-template-columns: repeat(4, 1fr);
    }
}

/* 中屏幕 → 一行 3 列 */
@media (max-width: 1280px) and (min-width: 900px) {
    .grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

/* 小屏幕 → 一行 2 列 */
@media (max-width: 950px) and (min-width: 600px) {
    .grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

/* 超小屏幕 → 一行 1 列 */
@media (max-width: 650px) {
    .grid {
        grid-template-columns: 1fr;
    }
    .course-list .item .href{
        width: 100% !important;
    }
    .course-list .item .href .cover .img{
        background-size: cover;
    }
    .course-list .item .href .cover{
        height:auto !important
    }
}

.module_course_model{
    max-width: 1400px;
    margin:0 auto;
    margin-top: 20px;
}
.course_model .top {
    margin-bottom: 20px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
}

.course_model .top .top_font2 a {
    text-decoration: none;
    color: #333;
}

.course-list {
    gap: 1rem;
}


.course-list .item .href {
    width: 286px;
    display: block;
    border-radius: 4px;
    text-decoration: none;
    border: 1px solid #f4f4f4;
    -webkit-box-shadow: 0 2px 8px 0 rgba(0, 0, 0, .03);
    box-shadow: 0 2px 8px 0 rgba(0, 0, 0, .03)
}

.course-list .item .href.block {
    cursor: auto;
    visibility: hidden
}

.course-list .item .href .cover {
    width: 100%;
    height: 161px
}

.course-list .item .href .cover .img {
    width: 100%;
    height: 100%;
    border-top-right-radius: 4px;
    border-top-left-radius: 4px
}

.course-list .item .href .content {
    padding: 14px
}

.course-list .item .href .content .title {
    font-size: 14px;
    color: #333;
    line-height: 19px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
    word-wrap: break-word;
    word-break: break-all;
    min-height: 36px
}

.course-list .item .href .content .detail {
    margin-top: 10px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center
}

.course-list .item .href .content .detail .tag {
    width: 30px;
    margin-right: 10px;
    background: #0aa29b;
    border-radius: 4px;
    border-bottom: 4px solid #0aa29b
}

.course-list .item .href .content .detail .number {
    font-size: 12px;
    color: #999
}

.course-list .item .href .content .price {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    margin-top: 14px
}

.course-list .item .href .content .price .t1 {
    font-size: 15px;
    font-weight: 700;
    color: #ff3535
}

.course-list .item .href .content .price .t2 {
    font-size: 12px;
    color: #999;
    margin: 0 10px 0 5px;
    text-decoration: line-through
}

.course-list .item .href .content .price .isvip {
    margin-left: 10px
}